.TH DOTEX 1 "3 September 1990" "UToronto"
.SH NAME
dotex \- run latex and bibtex on a file as many times as needed
.SH SYNOPSIS
.B dotex
file
.SH DESCRIPTION
A
.I LaTeX
document often needs to be run more than once through
.I LaTeX
to fix up references and citations.
.I dotex
figures out how many times
.I LaTeX
should be run, and runs it repeatedly.  If there are unresolved
citations, it runs 
.I BibTeX
to resolve them.
.PP
.I dotex
saves the 
.I .aux, .lof, .lot
and
.I .toc
files before a run by appending
.I .sav
to them, so that if something goes wrong during the run,
.I ltres
can be used to restore those files afterwards, as described in
the Local Guide to LaTeX.  If the run completes successfully, those
files are removed.
.PP
When
.I dotex
finishes successfully, it creates a file of the form
.IR file .done
to indicate successful completion, so that 
.IR make (1)
can be used with LaTeX effectively.
.SH FILES
*.tex \- LaTeX input
.br
*.done \- empty file, indicates dotex finished successfully.
.br
*.sav \- temporary files, with the saved .lot, .lof, .toc, .aux files from
previous runs, in case anything goes wrong.
.br
*.bbl \- output of BibTeX, to be read in by LaTeX
.br
*.bst \- BibTeX style files
.br
*.aux \- auxiliary files generated by LaTeX, used to store references and
page information
.br
*.lof \- files containing a list of figures, generated by LaTeX
.br
*.lot \- files containing a list of tables, generated by LaTeX
.br
*.toc \- files containing the table of contents, generated by LaTeX
.br
*.log \- log file for LaTeX, contains the errors
.br
*.dvi \- The device independent output of TeX/LaTeX.
.SH SEE ALSO
The Local Guide to LaTeX
.br
bibtex(1), latex(1)
.SH AUTHOR
Written at UofT by Mark Moraes, adapted from the 
.I lt
command by Jean-Francois Lamy
